service.c File Reference
`#include <config.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <corosync/swab.h>`
`#include <corosync/totem/totem.h>`
`#include <corosync/corotypes.h>`
`#include "util.h"`
`#include <corosync/logsys.h>`
`#include <corosync/icmap.h>`
`#include "timer.h"`
`#include <corosync/totem/totempg.h>`
`#include <corosync/totem/totemip.h>`
`#include "main.h"`
`#include "service.h"`
`#include <qb/qbipcs.h>`
`#include <qb/qbloop.h>`
Include dependency graph for service.c:

Go to the source code of this file.

## Data Structures

struct | seus_handler_data
struct | service_unlink_and_exit_data

## Typedefs

typedef int(* | schedwrk_cast) (const void *)

## Functions

| LOGSYS_DECLARE_SUBSYS ("SERV")
char * | corosync_service_link_and_init (struct corosync_api_v1 *corosync_api, struct default_service *service)
| Link and initialize a service. More...
unsigned int | corosync_service_defaults_link_and_init (struct corosync_api_v1 *corosync_api)
| Load all of the default services. More...
void | corosync_service_unlink_all (struct corosync_api_v1 *api, void(*unlink_all_complete)(void))
| Unlink and exit all corosync services. More...
unsigned int | corosync_service_unlink_and_exit (struct corosync_api_v1 *api, const char *service_name, unsigned int service_ver)
| Unlink and exit a service. More...

## Variables

struct corosync_service_engine * | corosync_service [SERVICES_COUNT_MAX]
const char * | service_stats_rx [SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]
const char * | service_stats_tx [SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

## Typedef Documentation

## schedwrk_cast

typedef int(* schedwrk_cast) (const void *)

Definition at line 448 of file service.c.

## Function Documentation

## corosync_service_defaults_link_and_init()

unsigned int corosync_service_defaults_link_and_init | ( | struct corosync_api_v1 * | corosync_api | ) |

Load all of the default services.

Definition at line 339 of file service.c.

## corosync_service_link_and_init()

char* corosync_service_link_and_init | ( | struct corosync_api_v1 * | corosync_api,
|  | struct default_service * | service
| ) |  |

Link and initialize a service.

Definition at line 117 of file service.c.

## corosync_service_unlink_all()

void corosync_service_unlink_all | ( | struct corosync_api_v1 * | api,
|  | void(*)(void) | unlink_all_complete
| ) |  |

Unlink and exit all corosync services.

Definition at line 394 of file service.c.

Referenced by corosync_shutdown_request().

## corosync_service_unlink_and_exit()

unsigned int corosync_service_unlink_and_exit | ( | struct corosync_api_v1 * | api,
|  | const char * | service_name,
|  | unsigned int | service_ver
| ) |  |

Unlink and exit a service.

Definition at line 450 of file service.c.

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "SERV" |  | ) |

## Variable Documentation

## corosync_service

struct corosync_service_engine* corosync_service[SERVICES_COUNT_MAX]

Definition at line 110 of file service.c.

Referenced by corosync_state_dump(), cs_ipcs_get_conn_stats(), and main_mcast().

## service_stats_rx

const char* service_stats_rx[SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

Definition at line 112 of file service.c.

## service_stats_tx

const char* service_stats_tx[SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

Definition at line 113 of file service.c.

Referenced by main_mcast().